<?php
/* ======================================================
 # Fix 404 Error Links for Joomla! - v2.2.7 (free version)
 # -------------------------------------------------------
 # For Joomla! CMS (v3.x)
 # Author: Web357 (Yiannis Christodoulou)
 # Copyright (©) 2014-2023 Web357. All rights reserved.
 # License: GNU/GPLv3, http://www.gnu.org/licenses/gpl-3.0.html
 # Website: https:/www.web357.com
 # Demo: https://demo.web357.com/joomla/fix-404-error-links
 # Support: support@web357.com
 # Last modified: Saturday 03 February 2024, 03:19:21 AM
 ========================================================= */
defined('_JEXEC') or die;

require_once __DIR__ . '/script.install.helper.php';

class PlgSystemFix404errorlinksInstallerScript extends PlgSystemFix404errorlinksInstallerScriptHelper
{
	public $name           	= 'Fix 404 Error Links (Free version)';
	public $alias          	= 'fix404errorlinks';
	public $extension_type 	= 'plugin';
	public $plugin_folder   = 'system';

	public function onAfterInstall($route)
	{
		$this->deleteOldFiles();
	}

	private function deleteOldFiles()
	{
		$this->delete(
			array(
				JPATH_SITE . '/plugins/system/fix404errorlinks/assets/',
				JPATH_SITE . '/plugins/system/fix404errorlinks/elements/',
				JPATH_SITE . '/plugins/system/fix404errorlinks/lib/vendor/composer/ca-bundle/',
				JPATH_SITE . '/plugins/system/fix404errorlinks/lib/vendor/composer/installed.json',
				JPATH_SITE . '/plugins/system/fix404errorlinks/lib/vendor/composer/LICENSE'
			)
		);
	}
}